All Classes Namespaces Functions Variables Groups Pages
DebugUtil::DebugLogger Class Reference

class that can be used for logging More...

## Public Member Functions

| log (int verbosity, string fmt)
| implement logging More...
| log2 (int verbosity, string fmt, *list args)
| implement logging More...

## Detailed Description

class that can be used for logging

## Member Function Documentation

DebugUtil::DebugLogger::log | ( | int | verbosity,
|  | string | fmt
| ) |  |

implement logging

Parameters

  verbosity | use DPC_xxx constants

DebugUtil::DebugLogger::log2 | ( | int | verbosity,
|  | string | fmt,
|  | *list | args
| ) |  |

implement logging

Parameters

  verbosity | use DPC_xxx constants